"use strict";

const {
  convertCode
} = require('../utilities');

test('decimal literals', () => {
  const inputCode = `const num1 = 1_000_000_000;
const num2 = 1000000000;`;
  const outputCode = `const num1 = 1_000_000_000;
const num2 = 1000000000;`;
  expect(convertCode(inputCode)).toBe(outputCode);
});
test('binary literals', () => {
  const inputCode = 'let message = 0xa0_b0_c0;';
  const outputCode = 'let message = 0xa0_b0_c0;';
  expect(convertCode(inputCode)).toBe(outputCode);
});
test('hex literals', () => {
  const inputCode = 'const num1 = 0b1010_0001_1000_0101;';
  const outputCode = 'const num1 = 0b1010_0001_1000_0101;';
  expect(convertCode(inputCode)).toBe(outputCode);
});